Name:           osgcal
Version:        0.1.46
Release:        1%{?dist}
Summary:        Adapts OpenSceneGraph to use Cal3D

Group:          Development/Libraries
License:        GPLv2+
URL:            http://gna.org/projects/underware
Source0:        http://osgcal.dachary.org/download/sources/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  OpenSceneGraph-devel cal3d-devel libxml2-devel glib2-devel
BuildRequires:  libungif-devel libGL-devel SDL-devel xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-server-Xorg

# https://bugzilla.redhat.com/show_bug.cgi?id=323331
ExcludeArch:    ppc64


%description
osgCal is an adapter to use the Cal3D character animation library
inside the OpenSceneGraph OpenGL based 3D scene graph.

%package devel
Summary:        Library development files for osgCal
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       cal3d-devel

%description devel
This package contains headers and libraries required to build
applications that use osgCal.


%prep
%setup -q

# Avoid lib64 rpaths
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure

# Fix rpmlint warnings
chmod -x include/osgCal/HardwareModel
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog



%build
%configure --enable-gifplugin --disable-static
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove libtool archives
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%check
#MALLOC_CHECK_=1 make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LGPL README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/*.so.*
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/osgCal
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Oct 08 2007 Christopher Stone <chris.stone@gmail.com> 0.1.46-1
- Upstream sync
- Remove no longer needed 64bit patch
- Fix License and Source
- Fix encoding on ChangeLog

* Mon Oct 08 2007 Christopher Stone <chris.stone@gmail.com> 0.1.44-5
- ExcludeArch ppc64 since OSG-devel is not build for this arch

* Mon Jan 29 2007 Christopher Stone <chris.stone@gmail.com> 0.1.44-4
- Disable make check

* Mon Jan 29 2007 Christopher Stone <chris.stone@gmail.com> 0.1.44-3
- Fix type-o in patch name

* Mon Jan 29 2007 Christopher Stone <chris.stone@gmail.com> 0.1.44-2
- Remove %%{version} from Patch tag
- Remove libtool archive instead of %%excluding it
- Compile with $RPM_OPT_FLAGS

* Wed Dec 06 2006 Christopher Stone <chris.stone@gmail.com> 0.1.44-1
- Upstream sync
- Clean up description
- Use new method to fix rpaths
- Change license to GPL
- Add 64bit patch
- set MALLOC_CHECK_ to 1 to not exit on Xvfb double-free error

* Sun Oct 15 2006 Christopher Stone <chris.stone@gmail.com> 0.1.43-1
- Upstream sync

* Sat Oct 14 2006 Christopher Stone <chris.stone@gmail.com> 0.1.42-1
- Upstream sync

* Sun Sep 03 2006 Christopher Stone <chris.stone@gmail.com> 0.1.41-1
- Upstream sync
- Remove FC4 support
- Add new Build Requires for %%check

* Thu Aug 31 2006 Christopher Stone <chris.stone@gmail.com> 0.1.40-4
- FC6 Rebuild

* Sat Jul 08 2006 Christopher Stone <chris.stone@gmail.com> 0.1.40-3
- Rebuild against new cal3d

* Mon Jun 19 2006 Christopher Stone <chris.stone@gmail.com> 0.1.40-2
- Add libtool hack to remove rpath

* Wed Jun 14 2006 Christopher Stone <chris.stone@gmail.com> 0.1.40-1
- Upstream sync
- Update Source0 location
- Modify spec to work with FC-4 BuildRequires
- Add cal3d-devel to devel Requires
- Add %%check section
- Use macros for system commands
- Add %%defattr to devel %%files
- Update Summary description
- Update License field
- %%exclude .la instead of %%ghost

* Mon Apr 10 2006 Loic Dachary <loic at gnu.org> 0.1.39-1
- Upstream sync

* Sun Mar 26 2006 Loic Dachary <loic at gnu.org> 0.1.38-1
- Upstream sync

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 0.1.37-2
- Fix BuildRequires
- Add gcc41 patch

* Sat Mar 25 2006 Loic Dachary <loic at gnu.org> 0.1.37-1
- Upstream sync
- Added gifplugin 

* Fri Mar 17 2006 Christopher Stone <chris.stone@gmail.com> 0.1.36-1
- Initial RPM release
